Create a stage
curl --request POST \
--url https://n-api.leadstaker.com/v1/pipelines/{id}/stages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"position": 1,
"type": "OPEN",
"color": "#4B5563"
}
'import requests
url = "https://n-api.leadstaker.com/v1/pipelines/{id}/stages"
payload = {
"name": "<string>",
"position": 1,
"type": "OPEN",
"color": "#4B5563"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', position: 1, type: 'OPEN', color: '#4B5563'})
};
fetch('https://n-api.leadstaker.com/v1/pipelines/{id}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "670fa8b21d94cc0010e3c7a8",
"name": "Qualificação",
"position": 0,
"type": "OPEN",
"color": "#2563EB",
"pipelineId": "670fa8b21d94cc0010e3c7a5",
"createdAt": "2026-01-12T14:08:00.000Z",
"updatedAt": "2026-01-15T09:32:00.000Z"
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Stages
Create a stage
Creates the stage in the project of the API key and answers 201 with the created record.
POST
/
v1
/
pipelines
/
{id}
/
stages
Create a stage
Authorizations
Path Parameters
Minimum string length:
1Body
application/json
Response
Success
Minimum string length:
1Minimum string length:
1Required range:
x >= 0Available options:
OPEN, CLOSED Available options:
#2563EB, #16A34A, #EA580C, #DC2626, #7C3AED, #0891B2, #DB2777, #4B5563 Minimum string length:
1⌘I